# boost::numeric::ublas::vector_binary_scalar2< E1, E2, F >::const_iterator Class Reference

List of all members.

## Public Types

typedef E1::const_iterator::iterator_category | iterator_category
typedef vector_binary_scalar2::difference_type | difference_type
typedef vector_binary_scalar2::value_type | value_type
typedef vector_binary_scalar2::const_reference | reference
typedef vector_binary_scalar2::const_pointer | pointer

## Public Member Functions

BOOST_UBLAS_INLINE | const_iterator (const self_type &vbs, const const_subiterator1_type &it1, const const_subiterator2_type &it2)
BOOST_UBLAS_INLINE const_iterator & | operator++ ()
BOOST_UBLAS_INLINE const_iterator & | operator-- ()
BOOST_UBLAS_INLINE const_iterator & | operator+= (difference_type n)
BOOST_UBLAS_INLINE const_iterator & | operator-= (difference_type n)
BOOST_UBLAS_INLINE difference_type | operator- (const const_iterator &it) const
BOOST_UBLAS_INLINE const_reference | operator* () const
BOOST_UBLAS_INLINE const_reference | operator[] (difference_type n) const
BOOST_UBLAS_INLINE size_type | index () const
BOOST_UBLAS_INLINE const_iterator & | operator= (const const_iterator &it)
BOOST_UBLAS_INLINE bool | operator== (const const_iterator &it) const
BOOST_UBLAS_INLINE bool | operator< (const const_iterator &it) const

### template<class E1, class E2, class F>
class boost::numeric::ublas::vector_binary_scalar2< E1, E2, F >::const_iterator